//
// Created by uos on 2022/2/16.
//

#ifndef UOS_RECOVERY_PROCESS_H
#define UOS_RECOVERY_PROCESS_H
#include <QString>
#include <QTextStream>

class Process
{
public:
    static bool spawnCmd(const QString& cmd, const QStringList& args);
    static bool spawnCmd(const QString& cmd, const QStringList& args, QString& output);
    static bool spawnCmd(const QString& cmd, const QStringList& args, QString& output, QString& err);
    static bool spawnCmd(const QString& cmd, const QStringList& args, QString& output, QString& err, int tryCount);
    static bool spawnCmd(const QString &cmd, QString& output, QString& err);
    static bool spawnSubCmd(const QString &mainCmd, const QStringList &mainArgs,
                            const QString &subCmd, const QStringList &subArgs, QString &output, QString &err);
};


#endif //UOS_RECOVERY_PROCESS_H
